#ifndef DRAWNODE_HPP__
#define DRAWNODE_HPP__
#include "nodes/base/base.hpp"
#include <opencv2/opencv.hpp>

namespace Node
{

class DrawNode : public BaseNode
{
public:
    DrawNode() = delete;
    DrawNode(const std::string& name) : BaseNode(name, NODE_TYPE::DES_NODE) {}
    virtual ~DrawNode() { stop(); };

    void work() override;
};

} // namespace Node


#endif // DRAWNODE_HPP__